Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2053964 - Review Request: golang-github-skip2-qrcode - QR Code encoder
Summary: Review Request: golang-github-skip2-qrcode - QR Code encoder
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mikel Olasagasti Uranga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2053969
TreeView+ depends on / blocked
 
Reported: 2022-02-13 16:22 UTC by Fabio Alessandro Locati
Modified: 2022-03-26 15:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-03-25 23:15:36 UTC
Type: ---
Embargoed:
mikel: fedora-review+


Attachments (Terms of Use)

Comment 1 Mikel Olasagasti Uranga 2022-02-21 22:02:51 UTC
> %global common_description %{expand:
> :sparkles: QR Code encoder (Go).}
> (...)
> Summary:        :sparkles: QR Code encoder (Go)

Remove the `:sparkles:` emoji. 

> # Generated by go2rpm 1.6.0
> %bcond_with check

The tests can be fixed by applying the patch in https://github.com/skip2/go-qrcode/pull/53

You can use

%bcond_without check
(...)
Source0:        %{gosource}
Patch0001:      https://patch-diff.githubusercontent.com/raw/skip2/go-qrcode/pull/53.patch
(...)
%goprep
%patch0001 -p1

> %generate_buildrequires
> %go_generate_buildrequires

Currently doesn't have any dep, you can remove this.

Comment 3 Mikel Olasagasti Uranga 2022-03-09 20:56:10 UTC
go2rpm package, fedora-review is correct:

- The specfile is sane.
- License is correct
- Builds successfully in mock
- No rpmlint errors
- %check section passes
- The latest version is packaged
- The package complies with the Packaging Guidelines.

Package approved! On import, don't forget to do the following:

- Add package to release-monitoring.org
- Add package to Koschei.
- Give go-sig privileges on package
- Close the review bug by referencing it in the rpm changelog and/or the Bodhi ticket.

Thanks!

Comment 4 Tomas Hrcka 2022-03-14 19:17:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-skip2-qrcode

Comment 5 Fedora Update System 2022-03-16 23:29:41 UTC
FEDORA-2022-dcbe6e7665 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-dcbe6e7665

Comment 6 Fedora Update System 2022-03-16 23:29:42 UTC
FEDORA-2022-d50943202e has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d50943202e

Comment 7 Fedora Update System 2022-03-17 15:23:08 UTC
FEDORA-2022-dcbe6e7665 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-dcbe6e7665 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-dcbe6e7665

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-03-17 17:11:41 UTC
FEDORA-2022-d50943202e has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2022-d50943202e \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-d50943202e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2022-03-25 23:15:36 UTC
FEDORA-2022-dcbe6e7665 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-03-26 15:24:07 UTC
FEDORA-2022-d50943202e has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.